< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600
  Definition Classes
    ct
-  package v2
  Definition Classes
    ct600
-  package calculations
  Definition Classes
    v2
-  package retriever
  Definition Classes
    v2
-  package validation
  Definition Classes
    v2
- B1
- B10
- B1000
- B1001
- B105
- B106
- B107
- B108
- B11
- B118
- B12
- B121
- B122
- B13
- B139
- B14
- B140
- B149
- B15
- B150
- B151
- B152
- B153
- B155
- B156
- B157
- B1571
- B1572
- B1573
- B1574
- B1575
- B158
- B16
- B17
- B172
- B174
- B18
- B19
- B2
- B20
- B21
- B3
- B30
- B31
- B35
- B37
- B38
- B39
- B4
- B42
- B42a
- B42b
- B43
- B44
- B45
- B46
- B46R
- B5
- B53
- B54
- B55
- B56
- B56R
- B6
- B63
- B64
- B65
- B70
- B78
- B79
- B8
- B80
- B84
- B85
- B86
- B9
- B91
- B92
- B93
- RDQ1
- RDQ2
- RSQ1
- RSQ2
- RSQ3
- RSQ4
- RSQ7
- RSQ8

o

uk.gov.hmrc.ct.ct600.v2

# B80 

###
Companion class B80

#### object B80 extends Calculated[B80, CT600ABoxRetriever] with Serializable

Linear Supertypes
Serializable, Serializable, Calculated[B80, CT600ABoxRetriever], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. B80
2. Serializable
3. Serializable
4. Calculated
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(fieldValueRetriever: CT600ABoxRetriever): B80
   Definition Classes
     B80 → Calculated
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Calculated[B80, CT600ABoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped